Bug 124896 - Battery meter only works with APM, not ACPI
Summary: Battery meter only works with APM, not ACPI
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xosview   
(Show other bugs)
Version: 2
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Ngo Than
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-06-01 09:43 UTC by Ron Yorston
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-19 08:57:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Add support for ACPI battery monitoring (2.19 KB, patch)
2004-06-01 09:47 UTC, Ron Yorston
no flags Details | Diff

Description Ron Yorston 2004-06-01 09:43:51 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; SunOS sun4u; en-US; rv:1.0.1)
Gecko/20020920 Netscape/7.0

Description of problem:
If the battery meter is enabled xosview looks for /proc/apm to get
information about battery state.  This isn't present if ACPI is being
used for power management.

Version-Release number of selected component (if applicable):
xosview-1.8.0-19

How reproducible:
Always

Steps to Reproduce:
1. Find a machine without /proc/apm, but with /proc/acpi/battery
2. Run xosview with the battery meter turned on.
    

Actual Results:  xosview complains that it's unable to open /proc/apm.

Expected Results:  xosview should check for /proc/acpi/battery and use
the information there.

Additional info:

Comment 1 Ron Yorston 2004-06-01 09:47:21 UTC
Created attachment 100733 [details]
Add support for ACPI battery monitoring

A quick hack to add support for ACPI battery information to xosview.  It works
for me on a Dell Latitude L400.  It only supports one battery.

Comment 2 Ngo Than 2004-07-19 08:57:29 UTC
it seems 1.8.2 works well with apm and ACPI. The new version will show
up in rawhide soon. Thanks for your report.


Note You need to log in before you can comment on or make changes to this bug.